Skip to main content
GET
/
core
/
companies
/
{company_id}
Get Company
curl --request GET \
  --url https://api.rootfi.dev/v3/core/companies/{company_id} \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/core/companies/{company_id}"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/core/companies/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "rootfi_id": 123,
    "rootfi_created_at": "2023-11-07T05:31:56Z",
    "rootfi_updated_at": "2023-11-07T05:31:56Z",
    "name": "Rootfi",
    "partner_id": "<string>",
    "invite_link": {
      "rootfi_id": 123,
      "rootfi_created_at": "2023-11-07T05:31:56Z",
      "rootfi_updated_at": "2023-11-07T05:31:56Z",
      "invite_link_id": "1",
      "integrations": [],
      "integration_categories": []
    },
    "connections": [
      {
        "rootfi_id": 123,
        "rootfi_created_at": "2023-11-07T05:31:56Z",
        "rootfi_updated_at": "2023-11-07T05:31:56Z",
        "rate_limits": {
          "counters": {},
          "lastReset": {},
          "maxLimits": {}
        },
        "zoho_sub_calls_enabled": false,
        "sync_resume_at": "2023-11-07T05:31:56Z",
        "last_synced": "2023-11-07T05:31:56Z",
        "tally_last_active_at": "2023-11-07T05:31:56Z",
        "sync_config": {
          "enabled": true,
          "interval": 1,
          "scope_access": {
            "READ": true,
            "CREATE": true,
            "UPDATE": true,
            "DELETE": true
          },
          "sync_from": "2023-11-07T05:31:56Z",
          "custom_fields": [
            "<string>"
          ]
        }
      }
    ],
    "activity_log": [
      {
        "rootfi_id": 123,
        "rootfi_created_at": "2023-11-07T05:31:56Z",
        "rootfi_updated_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}

Authorizations

api_key
string
header
required

Path Parameters

company_id
integer
required

The ID of the company to retrieve

Response

The data of the company endpoint

data
coreCompanyData · object
required

The data of the company endpoint